Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.servlet.fastcgi
Class Channel

    java.lang.Object
      php.java.servlet.fastcgi.Channel

    public abstract class Channel

extends java.lang.Object

This class represents the physical FastCGI connection.

Author:
  jostb

Constructor Summary
`Channel()`

Method Summary
`abstract void` | `close()`
`abstract java.io.InputStream` | `getInputStream()`
`abstract java.io.OutputStream` | `getOutputStream()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Channel

    public Channel()

Method Detail

### getInputStream

    public abstract java.io.InputStream getInputStream()
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOutputStream

    public abstract java.io.OutputStream getOutputStream()
                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public abstract void close()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD